error when trying to install cisco VPN

Installation, configuration and troubleshooting of the Cisco VPN Client on Linux systems

error when trying to install cisco VPN

Postby crazysexycool » Thu Jan 07, 2010 7:59 am

Hi i am truly stuck can anyone assist with this error thank you in advance


Cisco Systems VPN Client Version 4.8.01 (0640) Linux Installer
Copyright (C) 1998-2006 Cisco Systems, Inc. All Rights Reserved.

By installing this product you agree that you have read the
license.txt file (The VPN Client license) and will comply with
its terms.


Directory where binaries will be installed [/usr/local/bin]

Automatically start the VPN service at boot time [yes]

In order to build the VPN kernel module, you must have the
kernel headers for the version of the kernel you are running.


Directory containing linux kernel source code [/lib/modules/2.6.31-16-generic/build]

* Binaries will be installed in "/usr/local/bin".
* Modules will be installed in "/lib/modules/2.6.31-16-generic/CiscoVPN".
* The VPN service will be started AUTOMATICALLY at boot time.
* Kernel source from "/lib/modules/2.6.31-16-generic/build" will be used to build the module.

Is the above correct [y]

Making module
make -C /lib/modules/2.6.31-16-generic/build SUBDIRS=/home/f3091236/Desktop/vpnclient modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.31-16-generic'
CC [M] /home/f3091236/Desktop/vpnclient/linuxcniapi.o
In file included from /home/f3091236/Desktop/vpnclient/Cniapi.h:15,
from /home/f3091236/Desktop/vpnclient/linuxcniapi.c:31:
/home/f3091236/Desktop/vpnclient/GenDefs.h:113: error: conflicting types for ‘uintptr_t’
include/linux/types.h:41: note: previous declaration of ‘uintptr_t’ was here
make[2]: *** [/home/f3091236/Desktop/vpnclient/linuxcniapi.o] Error 1
make[1]: *** [_module_/home/f3091236/Desktop/vpnclient] Error 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.31-16-generic'
make: *** [default] Error 2
Failed to make module "cisco_ipsec.ko".
f3091236@f3091236-laptop:~/Desktop/vpnclient$
crazysexycool
Private
Private
 
Posts: 1
Joined: Wed Jan 06, 2010 6:08 pm

Re: error when trying to install cisco VPN

Postby gman » Wed Jan 13, 2010 10:20 pm

Just covering bases here, but I see you are using the 4.8.01 (0640) client . Have you tried with the newer 4.8.02 (0030) version? This new version compiles for me on Fedora 11 with kernel 2.6.30.9-102 after patching for 64-bit from the repo here: http://projects.tuxx-home.at/ciscovpn/patches/ . Of course you will need to get the new version from Cisco's site.
gman
Private
Private
 
Posts: 2
Joined: Wed Jan 13, 2010 9:57 pm


Return to Cisco VPN Client on Linux systems

Who is online

Users browsing this forum: No registered users and 7 guests

cron